/*
 * Copyright 2015 JBoss Inc
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
*/

package org.guvnor.rest.client;

import java.io.Serializable;
import java.util.List;

import org.jboss.errai.common.client.api.annotations.Portable;

@Portable
public class JobResult implements Serializable {

    private JobStatus status;
    private String jobId;
    private String result;
    private Long lastModified;
    private List<String> detailedResult;

    public JobStatus getStatus() {
        return status;
    }

    public void setStatus( JobStatus status ) {
        this.status = status;
    }

    public String getJobId() {
        return jobId;
    }

    public void setJobId( String jobId ) {
        this.jobId = jobId;
    }

    public String getResult() {
        return result;
    }

    public void setResult( String result ) {
        this.result = result;
    }

    public Long getLastModified() {
        return lastModified;
    }

    public void setLastModified( long lastModified ) {
        this.lastModified = lastModified;
    }

    public List<String> getDetailedResult() {
        return detailedResult;
    }

    public void setDetailedResult( List<String> detailedResult ) {
        this.detailedResult = detailedResult;
    }
}
